<mat-sidenav-container class="sidenav-container">
  <mat-sidenav #drawer class="sidenav" fixedInViewport="true"
      [attr.role]="(isHandset$ | async) ? 'dialog' : 'navigation'"
      [mode]="(isHandset$ | async) ? 'over' : 'side'"
      [opened]="!(isHandset$ | async)">
    <mat-toolbar class="sidenav-toolbar">
      <div class="logo-img"><img src="https://demos.creative-tim.com/light-bootstrap-dashboard-angular2/assets/img/angular2-logo-white.png"></div>
      Rent System 
    </mat-toolbar>
    <mat-nav-list>
      <a mat-list-item [routerLink]="['/']" routerLinkActive="active" [routerLinkActiveOptions]="{exact:true}"><mat-icon>pie_chart</mat-icon>  Dashboard</a>
      <a mat-list-item [routerLink]="['/cars']" routerLinkActive="active" [routerLinkActiveOptions]="{exact:true}"><mat-icon>account_circle</mat-icon> Cars</a>
      <a mat-list-item [routerLink]="['/users']" routerLinkActive="active" [routerLinkActiveOptions]="{exact:true}"><mat-icon>table_chart</mat-icon> Users</a>
    </mat-nav-list>
  </mat-sidenav>
  <mat-sidenav-content>
    <mat-toolbar color="primary">
      <button
        type="button"
        aria-label="Toggle sidenav"
        mat-icon-button
        (click)="drawer.toggle()"
        *ngIf="isHandset$ | async">
        <mat-icon aria-label="Side nav toggle icon">menu</mat-icon>
      </button>
      <span>Dashboard</span>
    </mat-toolbar>
    <div class="layout-content">
      <router-outlet></router-outlet>
    </div>
  </mat-sidenav-content>
</mat-sidenav-container>
